# Note that this is NOT a relocatable package
%define ver      1.2.0
%define rel      3
%define prefix   %{_prefix}

Summary: GNOME utility programs.
Name: gnome-utils
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/gnome-utils-%{ver}.tar.gz
Patch0: gnome-utils-%{ver}-aixlt.patch
BuildRoot: /var/tmp/gnome-utils-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

Docdir: %{prefix}/doc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of utilities for GNOME, including Gcalc, Gdialog,
Gdiskfree, and many others.

%changelog
* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree

%prep
%setup -q
%patch -p2 -b .aixlt
rm -rf gfloppy

%build

%ifarch alpha
MIEEE_FLAG="-mieee"
%endif

CFLAGS="$RPM_OPT_FLAGS $MIEEE_FLAG -DWITH_SPARKLES" LDFLAGS="-Wl,-brtl" ./configure --prefix=%prefix --without-messages
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

# sorry alan, new users will never get rid of this :)
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities/gpenguin.desktop 

# gshutdown isn't what we want at this time
rm -f $RPM_BUILD_ROOT%{prefix}/bin/gshutdown
rm -f $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/*/gshutdown.desktop
rm -rf $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gshutdown

# strip binaries
/usr/bin/strip `LANG=C file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'` 2>/dev/null || :


(cd $RPM_BUILD_ROOT
 mkdir -p usr/bin
 cd usr/bin
 ln -sf ../..%{_prefix}/bin/* .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
/usr/bin/*

%{prefix}/lib/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/gnome/*
%{prefix}/share/gstripchart/*
